[Debian] Interface doesn't accept private ioctl...

Live forum: http://rt2x00.serialmonkey.com/viewtopic.php?t=4485

3lvis

04-12-2007 21:49:50

Hi. First of all, thank you all for your great work!

I was trying to get my rt2500 pci card working with WPA security on a new install of Debian Etch. I was following this howto[/url2ywelu3t].

All goes right up untill this point
[code2ywelu3t]# ifconfig eth-wifi up
# iwconfig eth-wifi channel 5
# iwconfig eth-wifi essid youressidname
# iwpriv eth-wifi set AuthMode=WPAPSK
# iwpriv eth-wifi set EncrypType=TKIP
# iwpriv eth-wifi set WPAPSK="wireless password"[/code2ywelu3t]
The first five commands are accepted, but when i want to set the wireless password i get the following error
[code2ywelu3t]Interface doesn't accept private ioctl...
set (8BE2): Invalid argument[/code2ywelu3t]
Do you know what causes this?

Ps. i don't have any logs for you, mostly because i don't know which ones you need, and also because getting them here wouldn't be too easy. But, if you need any, ask, i will provide ;)

Vern

05-12-2007 01:53:45

Are you using the latest CVS? If not, click on the download tab at the top of the page after you log out, then download the rt2500 legacy tarball, untar and build, and see what happens.

Thanks,

3lvis

06-12-2007 15:13:45

Nope, the latest CVS version does not solve the problem. Still the same error when trying to set the wpa password.

Any ideas?

Vern

07-12-2007 04:34:14

Hi 3lvis,

OK. Could you compile the latest CVS with debug enabled, run with modprobe=15, then attach a gzipped copy of /var/log/debug to a posting here?

Thanks,

3lvis

07-12-2007 08:37:21

OK. Could you compile the latest CVS with debug enabled, run with modprobe=15, then attach a gzipped copy of /var/log/debug to a posting here?[/quote3aqoq1di]
Should i use these commands then? (Sorry for being n00bish oops)
[code3aqoq1di]make -d
make -d install
modprobe=15 rt2500[/code3aqoq1di]

Spy84464

07-12-2007 21:37:32

Use
[code58c8hdty]make clean
make debug
make install
modprobe rt2500 debug=15 [/code58c8hdty]
The last two must be run as root.

3lvis

08-12-2007 00:12:04

Thanks Spy84464!